#
# spec file for package libzrtpcpp (Version 1.6.0)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libzrtpcpp
Summary:        A ccrtp extension for ZRTP support
BuildRequires:  cmake gcc-c++ libgcrypt-devel pkgconfig
BuildRequires:  libccrtp-devel >= 1.8.0
Version:        1.6.0
Release:        1.4
License:        GPLv3+
Group:          Development/Libraries/Other
Url:            http://www.gnu.org/software/commoncpp/commoncpp.html
Source0:        %{name}-%{version}.tar.bz2
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library is a GPL licensed extension to the GNU RTP Stack, ccrtp,
that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
encryption, and which can be directly embedded into telephony
applications.


This library is a GPL licensed extension to the GNU RTP Stack, ccrtp,
that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
encryption, and which can be directly embedded into telephony
applications.



%description -n libzrtpcpp
This library is a GPL licensed extension to the GNU RTP Stack, ccrtp,
that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
encryption, and which can be directly embedded into telephony
applications.


This library is a GPL licensed extension to the GNU RTP Stack, ccrtp,
that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
encryption, and which can be directly embedded into telephony
applications.



%package devel
License:        GPLv3+
Group:          Development/Libraries/Other
Summary:        Headers and static link library for libzrtpcpp
Requires:       libzrtpcpp = %{version} libccrtp-devel

%description devel
This package provides the header files, link libraries, and
documentation for building applications that use libzrtpcpp.



%prep
%setup -q

%build
mkdir build
cd build

cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DSYSCONFDIR=%{_sysconfdir} \
      -DMANDIR=%{_mandir} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      -DCMAKE_C_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \
      -DCMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \
      ..  

make %{?_smp_mflags}

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -n libzrtpcpp
%defattr(-,root,root,0755)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,0755)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libzrtpcpp/*.h
%dir %{_includedir}/libzrtpcpp

%post -n libzrtpcpp -p /sbin/ldconfig

%postun -n libzrtpcpp -p /sbin/ldconfig

%changelog
* Sat Jan  8 2011 Werner.Dittmann@t-online.de
- Update to latest version of GNU ZRTP C++
  * Cumulative update that implements all fixes and
    versions since 1.3.0 (see below)
  * Protocol implementation compliant with latest ZRTP
    specification.
  * lots of documentation added (doxygen ready)
  * some code cleanup
* Thu Dec  9 2010 rguenther@novell.com
- drop bogus libgcc BuildRequires
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Mon Sep  8 2008 hvogel@suse.de
- Update to 1.3.0
  * implements the latest changes define in the ZRTP draft
  * The Method ''setSipsSecret(...)'' is no longer available.
  * The method ''setOtherSecret(...)'' was renamed to
    ''setPbxSecret(...)''
  * The methos ''setSrtpsSecret(...)'' is was renamed to
    ''setAuxSecret(...)''
* Sun May 11 2008 crrodriguez@suse.de
- fix  no-return-in-nonvoid-function errors
- fix both buildRequires and -devel package dependencies
- remove static libraries and "la" files
* Wed Apr  2 2008 hvogel@suse.de
- update to version 1.0.1
  * various bugfixes
- add libzrtpcpp1 sub-package
* Tue Mar 27 2007 mskibbe@suse.de
- fix compiler warnings
- fix changlog date problems
* Fri Mar  2 2007 mskibbe@suse.de
- libzrtpcpp-devel has a broken epoch and packaging bugs (#249532)
* Thu Feb 15 2007 mskibbe@suse.de
- change package for SuSE
* Sun Oct 15 2006 cs@linux-administrator.com
- initial package build for SuSE 10.1
